#
# spec file for package ghc-blaze-builder
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name blaze-builder

Name:           ghc-blaze-builder
Version:        0.4.0.2
Release:        1.3
Summary:        Haskell library for efficient buffered output
License:        BSD-3-Clause
Group:          System/Libraries

Url:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-text-devel
# End cabal-rpm deps

%description
This library provides an abstraction of buffered output of
byte streams and several convenience functions to exploit
it. For example, it allows to efficiently serialize
Haskell values to lazy bytestrings with a large average
chunk size. The large average chunk size allows to make
good use of cache prefetching in later processing steps
(e.g. compression) and reduces the sytem call overhead
when writing the resulting lazy bytestring to a file or
sending it over the network.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       ghc-compiler
Requires(post): ghc-compiler
Requires(postun): ghc-compiler
Requires:       %{name} = %{version}-%{release}

%description devel
This library provides an abstraction of buffered output of
byte streams and several convenience functions to exploit
it. For example, it allows to efficiently serialize
Haskell values to lazy bytestrings with a large average
chunk size. The large average chunk size allows to make
good use of cache prefetching in later processing steps
(e.g. compression) and reduces the sytem call overhead
when writing the resulting lazy bytestring to a file or
sending it over the network.


%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root)
%doc TODO README.markdown

%changelog
* Tue Apr 19 2016 mimi.vx@gmail.com
- update to 0.4.0.2
- remove useless _service
  * Fixed warnings on GHC 7.10
* Fri Apr 17 2015 mimi.vx@gmail.com
- update to 0.4.0.1
  * See upstream CHANGES and blog:
  <http://blog.melding-monads.com/2015/02/12/announcing-blaze-builder-0-4/>
* Wed Sep 24 2014 peter.trommler@ohm-hochschule.de
- update to 0.3.3.4
  * compatibility with Haskell Platform 2014.2.0.0 (ghc-text)
* Mon May 13 2013 peter.trommler@ohm-hochschule.de
- update to 0.3.1.1 from upstream
  * all warnings fixed
  * ghc7.8 compatible
* Tue Jun  5 2012 peter.trommler@ohm-hochschule.de
- cabal2spec 0.25.5 template for spec file
* Fri Mar 16 2012 peter.trommler@ohm-hochschule.de
- added BuildRoot for SLE_11_SP1/2
* Fri Mar  2 2012 peter.trommler@ohm-hochschule.de
- initial packaging
